SystemOrganization addCategory: #'CS528-UT3Base'!

Object subclass: #UT3Board
	instanceVariableNames: 'boardMatrix'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-UT3Base'!

!UT3Board commentStamp: '<historical>' prior: 0!
An UT3Board is a board.

Instance Variables
!

!UT3Board methodsFor: 'as yet unclassified' stamp: 'Oliver 7/1/2013 18:14'!
initialize 

	|  |
	boardMatrix := Matrix new: 9.
	boardMatrix replaceAll: nil with: 1.! !

Object subclass: #UT3System
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CS528-UT3Base'!

!UT3System commentStamp: '<historical>' prior: 0!
An UT3System is the class encapsulating an entire Ultimate TicTacToe game.

It contains an interface to make moves for each player, and holds an instance of UT3Board that represents the game board state, and is stateful in the sense that it records each player's move.

You can use the provided API to get the which player's turn it is, etc. Invalid moves will throw MoveError.

Instance Variables
!
